<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\FilterSettings\Kursorte;

use Kufer\Web\Classes\Dbfilter\ISQLFilter;
use Kufer\Web\Classes\Dbfilter\KursorteSQLFilter;
use Kufer\Web\KuferTools\Utils\FilterSettings\IFilterSettings;

class GebaeudeFilterSettings implements IFilterSettings
{
  
  protected $gebaeudeAry;

  public function __construct(array $gebaeudeAry)
  {
    $this->gebaeudeAry = $gebaeudeAry;
  }

  
  public function applySettings($filter): ISQLFilter
  {
    $filter->inGebaeude($this->gebaeudeAry);

    return $filter;
  }

  public function assertFilterClass($filter): void
  {
    assert($filter instanceof KursorteSQLFilter);
  }
}